* {
	box-sizing: border-box;
}

::selection {
	background-color: var(--system-background);
	color: var(--system-font-color);
}

body {
	background: var(--system-color) no-repeat center fixed;
	background-size: cover;
	font-family: 'Source Sans Pro', sans-serif;
	font-weight: 100;
	color: var(--system-font-color);
}


input {
	-webkit-appearance: none;
	background: var(--system-background);
	opacity: .7;
	box-shadow: 0 5px 10px var(--system-shadow);
	border: none !important;
	border-radius: var(--system-border) !important;
	outline: none;
	padding: 10px 20px;
	font-family: 'Source Sans Pro', sans-serif;
	font-weight: 100;
	color: var(--system-font-color);
	transition: all 0.5s ease;
}

/*input {
	border: 1px solid #99a;
	padding: 0 0.125ex;
}

input:focus {
	background: rgba(255,255,255,0.25);
}*/

#login-card {
	margin: 7.5em auto 0;
}

#profile-image {
	opacity: 0;
	margin: 0 auto;
	width: 300px;
	-webkit-animation-name: avatar_in;
	-webkit-animation-iteration-count: 1;
	-webkit-animation-timing-function: cubic-bezier(0,1.25,1.25,.3);
	-webkit-animation-fill-mode: forwards;
	-webkit-animation-delay: 0.5s;
	-webkit-animation-duration: 0.75s;
	animation-name: avatar_in;
	animation-iteration-count: 1;
	animation-timing-function: cubic-bezier(0,1.25,1.25,.3);
	animation-fill-mode: forwards;
	animation-delay: 0.5s;
	animation-duration: 1s;
}

#profile-image > img {
	border-radius: 50%;
	box-shadow: 0 5px 10px var(--system-shadow);
	display: block;
	max-width: 100%;
	width: 100%;
}

#login-name {
	margin: 0.75em 0 0.25em;
	text-align: center;
	font-weight: 300;
	font-size: 72px;
}

#login-form {
	-webkit-flex: 3;
}

#user {
	font-size: 10vh;
	display: none;
}

#password {
	margin: 0 auto;
	display: block;
	font-size: 4vh;
	font-weight: 900;
	width: 10em;
}

/* Message Area */

#message {
	transition: all 0.35s ease;
	margin: 1.25em auto 0;
	text-align: center;
	font-size: 36px;
	font-weight: normal;
	overflow: visible;
	max-width: 600px;
	color: #334;
}

#message.error {
	color: #934;
}

#message.cleared {
	opacity: 0;
	height: 0;
}

/* Waiting/Loading Spinner */
/* Based on code from Vineeth.TR at http://codepen.io/vineethtr/pen/GJpxoQ */

.spinner {
	margin: 1.25em auto 0;
	position: relative;
	color: #99a;
	height: 64px;
	width: 64px;
}

.spinner:after, .spinner:before {
	border-radius: 100%;
	box-shadow: 0 0 0 3px;
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
	width: 10px;
	height: 10px;
	opacity: 0;
	-webkit-animation: spinner-bubble 1.5s ease-out 0s infinite;
	animation: spinner-bubble 1.5s ease-out 0s infinite;
}

.spinner:before {
	-webkit-animation: spinner-bubble 1.5s ease-out 2s infinite;
	animation: spinner-bubble 1.5s ease-out 2s infinite;
}

@-webkit-keyframes spinner-bubble {
	from {
		width: 10px;
		height: 10px;
		opacity: 0.75;
	}

	to {
		width: 64px;
		height: 64px;
		opacity: 0;
	}
}

@keyframes spinner-bubble {
	from {
		width: 10px;
		height: 10px;
		opacity: 0.75;
	}

	to {
		width: 64px;
		height: 64px;
		opacity: 0;
	}
}


/* User List */

#user-list {
	list-style: none;
	margin: 0;
	padding: 0;
	position: absolute;
	left: 1em;
	bottom: 1em;
}

#user-list > li {
	transition: all 0.35s ease;
	padding: 0.25em 0.5em;
	font-size: 1.5em;
	cursor: pointer;
}

#user-list > li:hover,
#user-list > .selected {
	background: var(--system-background);
	border-radius: var(--system-border);
	opacity: .7;
	color: var(--system-font-color);
}

#user-list > .selected {
	cursor: default;
}

/* Power Options */

#power-button {
	margin: 0;
	padding: 0;
	position: absolute;
	right: 1em;
	bottom: 1em;
}

#power-button:hover > #power-menu {
	pointer-events: auto;
	bottom: 48px;
	opacity: 1;
}

#power-button > svg {
	transition: all 0.25s ease;
	background-size: contain;
	display: block;
	stroke: var(--system-font-color);
	height: 48px;
	width: 48px;
	background-color: var(--system-background);
	stroke: var(--system-font-color);
	border-radius: var(--system-border);
}

#power-button:hover > svg {
	border-radius: 0 0 var(--system-border) var(--system-border);
}

#power-menu {
	transition: all 0.3s ease;
	pointer-events: none;
	bottom: 24px;
	opacity: 0;
	border-radius: var(--system-border) var(--system-border) 0 var(--system-border);
	margin: 0;
	padding: 0;
	list-style: none;
	position: absolute;
	background: var(--system-background);
	right: 0;
	font-size: 1.5em;
	width: 6em;
}

#power-menu > li {
	transition: all 0.25s ease;
	padding: 0.25em 0.5em;
	text-align: right;
	cursor: pointer;
	border-radius: var(--system-border);
}

#power-menu > li:hover {
	background-color: var(--system-background);
	color: var(--system-font-color);
}

/* Animation */

@-webkit-keyframes avatar_in {
    0% {
        -webkit-transform: translateY(-150px);
        transform: translateY(-150px);
		opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
		opacity: 1;
    }
}

@keyframes avatar_in {
    0% {
        -webkit-transform: translateY(-150px);
        transform: translateY(-150px);
		opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
		opacity: 1;
    }
}
